<template>
  <v-btn
      v-if="isAuthed"
      color="primary"
      icon
      class="new-pic-nav"
      to="/pictures/new"
      width="60px"
      height="60px">
    <IconifyIcon
      class="header__drop-down__item-icon"
      :icon="icons.circlePlus"
      :style="{color: 'rgba(89, 89, 89, 0.9)'}"
      width="65px"
      height= "65px"
    />
  </v-btn>
</template>

<script>
import IconifyIcon from '@iconify/vue'
import circlePlus from '@iconify/icons-akar-icons/circle-plus'
import { mapGetters } from 'vuex'

export default {
  name: 'UploadPictureNav',

  components: {
    IconifyIcon
  },

  computed: {
    ...mapGetters(['isAuthed'])
  },

  data () {
    return {
      icons: {
        circlePlus
      }
    }
  }
}

</script>

<style>
.new-pic-nav {
  bottom: 5vh !important;
  left: 5vh !important;
  position: fixed !important;
  z-index: 3;
}
</style>
